Subject: Re: bug#35495: 27.0.50; Untarring an archive with a keyring.gpg inside

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Apr 2022 15:13:20 +0200

Stefan Monnier <[email-masked]> writes:

> When untarring a file whose contents include a GPG keyring named with
> a `.gpg` extension, `tar-untar-buffer` ends up trying to encrypt the
> keyring because the `write-region` call for this file gets handed to
> `epa-file-write-region`.

I'm unable to reproduce this on the current trunk -- but I can't
reproduce it in Emacs 26.3/27.1 either.

I'm using the following tar file as the test case.  Is there anything
more needed to reproduce the problem, or has it really gone away?